__change_bit
Prev | Bit Operations | Next

## Name

__change_bit — Toggle a bit in memory

## Synopsis

`void __change_bit (` | int | nr,
| volatile unsigned long * | addr`)`;

## Arguments

`nr`

  the bit to change

`addr`

  the address to start counting from

## Description

Unlike `change_bit`, this function is non-atomic and may be reordered. If it's called on the same region of memory simultaneously, the effect may be that only one operation succeeds.

Prev | Up | Next
clear_bit | Home | change_bit